openerp.eiru_dashboard = function (instance) {
    "use strict";

    instance.eiru_dashboard = {};
    instance.eiru_dashboard.reports = {};

    var dashboard = instance.eiru_dashboard;

    widget_base(instance, dashboard);
    dashboard_widget(instance, dashboard);
    sale_widget(instance, dashboard)
    configuration_widget(instance, dashboard);

    // Widgets
    customer_counter(dashboard);
    sales_in_the_week(dashboard);
    top_sales_product(dashboard);
    sales_in_warehouse_by_brand(dashboard);

    // Action
    instance.web.client_actions.add('eiru_dashboard.action_dashboard', 'instance.eiru_dashboard.DashboardWidget');
    instance.web.client_actions.add('eiru_dashboard.action_dashboard_sale', 'instance.eiru_dashboard.SaleWidget');
    instance.web.client_actions.add('eiru_dashboard.action_dashboard_configuration', 'instance.eiru_dashboard.DashboardConfigurationWidget');
}
